## NMDevice6Lowpan NMDevice6Lowpan |

## Functions

NMDevice * | nm_device_6lowpan_get_parent ()

## Properties

NMDevice * | parent | Read

## Types and Values

#define | NM_DEVICE_6LOWPAN_PARENT
#define | NM_DEVICE_6LOWPAN_HW_ADDRESS
| NMDevice6Lowpan

## Object Hierarchy

        GObject
        ╰── NMObject
            ╰── NMDevice
                ╰── NMDevice6Lowpan

## Description

## Functions

### nm_device_6lowpan_get_parent ()

    NMDevice *
    nm_device_6lowpan_get_parent (NMDevice6Lowpan *device);

#### Parameters

device | a NMDevice6Lowpan |

#### Returns

the device's parent device.

[transfer none]

Since: 1.42

## Types and Values

### NM_DEVICE_6LOWPAN_PARENT

    #define NM_DEVICE_6LOWPAN_PARENT     "parent"

### NM_DEVICE_6LOWPAN_HW_ADDRESS

    #define NM_DEVICE_6LOWPAN_HW_ADDRESS "hw-address"

### NMDevice6Lowpan

    typedef struct _NMDevice6Lowpan NMDevice6Lowpan;

Since: 1.14

## Property Details

### The `“parent”` property

      “parent”                   NMDevice *

The devices's parent device.

Owner: NMDevice6Lowpan

Flags: Read

Since: 1.14